Subject: bug#10121: Undefined command: "-interpreter-exec".

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 17 Aug 2019 22:58:44 -0700

Nash Steve <[email-masked]> writes:

> start gdb-mi in emacs trunk with gdb-7.3
>
> define hook-stop
> print debug_function (param)
> end
>
> set breakpoint and continue to run,
>
> I get the following messages:
>
> Error while running hook_stop:
> Undefined command: "-interpreter-exec".  Try "help".
>
> It works fine out of emacs trunk

(I'm going through old bug reports that unfortunately have gotten no
responses yet.)

I'm not quite sure what you mean here -- you say that it work on the
Emacs trunk, but also...  that it doesn't?

Anyway, has this started working for you in more modern Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no